Subject: Re: [PATCH] net: ipv6: Do not fix up linklocal and loopback addresses

From: Sergei Shtylyov <[email-masked]>
Date: Mon, 18 Apr 2016 18:19:59 +0300

Hello.

On 4/18/2016 5:23 PM, Mike Manning wrote:

> f1705ec197e7 "Make address flushing on ifdown optional" added the option

    Looking further, this doesn't seem like a complete commit summary. And you 
need to enclose it in parens too.

> to retain user configured addresses on an admin down. A comment to one of
> the later revisions suggested using the IFA_F_PERMANENT flag rather than
> adding a user_managed boolean to the ifaddr struct. A side effect of this
> change is that link local and loopback addresses were also retained which
> was not part of the objective of the original changes. The fix 70af921db6f8
> "Do not keep linklocal and loopback addresses" ensures that these are no

    Again, () are needed around the summary.

> longer kept. Similarly, the present fix ensures that these addresses are not
> fixed up either, otherwise the incorrect fixup triggers a crash in fib6.
>
> Fixes: f1705ec197e7 ("net: ipv6: Make address flushing on ifdown optional")
> Signed-off-by: Mike Manning <[email-masked]>
[...]

MBR, Sergei